import { HttpClient } from "@angular/common/http";
import { ApiResponseModel, ApiVisa, BaseApiTemplateService, BasicApiResponseModel, Pagination, PagingResponseModel } from "../shared";
import { Observable } from "rxjs";
export declare class RolePricingSchemeLinkService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    createRolePricingPermissionLink(dtoObject: any, appletGuid: string, tenantGuid: string, rank: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateRolePricingPermissionLink(dtoObject: any, appletGuid: string, tenantGuid: string, rank: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    deleteRolePricingPermissionLink(guid: string, appletGuid: string, tenantGuid: string, rank: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getRolePricingPermissionLinkByCriteria(pagination: Pagination, visa: ApiVisa, appletGuid: string, tenantGuid: string, rank: string, criteria?: any): Observable<PagingResponseModel<any>>;
    getRolePricingPermissionLinkByGuid(guid: string, visa: ApiVisa, appletGuid: string, tenantGuid: string, rank: string): Observable<BasicApiResponseModel<any>>;
}
